//   Copyright 2012 Georg-August-Universität Göttingen, Germany
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

package de.ugoe.cs.autoquest.usability;

import java.util.ArrayList;
import java.util.List;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 16.07.2012$
 * @author 2012, last modified by $Author: pharms$
 */
public class UsabilityEvaluationResult {
    
    /** */
    private List<UsabilityDefect> defects = new ArrayList<UsabilityDefect>();

    /**
     * TODO: comment
     * 
     * @param defect
     */
    public void addDefect(UsabilityDefect defect) {
        defects.add(defect);
    }

    /**
     * TODO: comment
     * 
     * @return
     */
    public List<UsabilityDefect> getAllDefects() {
        return defects;
    }

    /**
     * TODO: comment
     * 
     * @return
     */
    public List<UsabilityDefect> getSevereDefects() {
        List<UsabilityDefect> severeDefects = new ArrayList<UsabilityDefect>();

        for (UsabilityDefect defect : defects) {
            if (defect.getSeverity() == UsabilityDefectSeverity.HIGH) {
                severeDefects.add(defect);
            }
        }

        return severeDefects;
    }

}
